Test::Int::MiniModelBoolean::BoolInstr Class Reference

Type for representing a Boolean instruction. More...

## Public Attributes

BoolOpcode | o
| Which instruction to execute.
unsigned char | x
unsigned char | y
unsigned char | z
| Instruction arguments, z is destination (or y for negation).

## Detailed Description

Type for representing a Boolean instruction.

Definition at line 59 of file mm-bool.cpp.

## Member Data Documentation

## o

BoolOpcode Test::Int::MiniModelBoolean::BoolInstr::o

Which instruction to execute.

Definition at line 61 of file mm-bool.cpp.

## x

unsigned char Test::Int::MiniModelBoolean::BoolInstr::x

Definition at line 62 of file mm-bool.cpp.

## y

unsigned char Test::Int::MiniModelBoolean::BoolInstr::y

Definition at line 62 of file mm-bool.cpp.

## z

unsigned char Test::Int::MiniModelBoolean::BoolInstr::z

Instruction arguments, z is destination (or y for negation).

Definition at line 62 of file mm-bool.cpp.

The documentation for this class was generated from the following file:

- test/int/mm-bool.cpp